LASs - Linear Algebra Routines on OmpSs 1.0.0 LASs

- Main Page
- Files

- File List
- File Members

ddss_tile.c
Go to the documentation of this file.
1 #include "../include/lass.h"
2
3 /**
4 *
5 * @file ddss_tile.c
6 *
7 * @brief LASs-DDSs ddss_tile routines.
8 *
9 * LASs-DDSs is a software package provided by:
10 * Barcelona Supercomputing Center - Centro Nacional de Supercomputacion
11 *
12 * @author Pedro Valero-Lara pedro.valero@bsc.es
13 * @date 2017-05-10
14 * @reviewer
15 * @modified
16 *
17 **/
18
19 /**
20 *
21 * @ingroup DDSs
22 *
23 * tile_size:
24 * Computes the size of the tile passed as parameter.
25 *
26 **/
27
28 /**
29 *
30 * @param[in]
31 * M int.
32 * M specifies the size ( rows of columns ) of the matrix.
33 *
34 * @param[in]
35 * MT int.
36 * MT specifies the id of the tile.
37 *
38 **/
39
40 /**
41 *
42 * @retval int size of the tile passed as parameter.
43 *
44 **/
45
46 /**
47 *
48 * @sa ddss_gather_tile
49 *
50 **/
51
52 int ddss_tile_size( int M, int MT )
53 {
54
55 if ( M - ( MT * TILE_SIZE ) > TILE_SIZE )
56 return TILE_SIZE;
57 else
58 return M - ( MT * TILE_SIZE );
59
60 }
ddss_tile_size
int ddss_tile_size(int M, int MT)
Definition: ddss_tile.c:52